import { IRecordLockingError, IRecordLockingLockRecord } from "../../types";
import { IRecordLockingUnlockEntryParams } from "../abstractions/IRecordLockingUnlockEntry";
export type IRecordLockingUnlockEntryVariables = IRecordLockingUnlockEntryParams;
export interface RecordLockingUnlockEntryResponse {
    recordLocking: {
        unlockEntry: {
            data: IRecordLockingLockRecord | null;
            error: IRecordLockingError | null;
        };
    };
}
export declare const UNLOCK_ENTRY_MUTATION: import("graphql").DocumentNode;
